<?php 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$sessao = new sessao();
$cliente=strtoupper($sessao->getVar('cliente' ) ?? "");
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
$nomeTeste=$sessao->getVar('reanCapturada');
$mensagemOrientativa="Será este teste que vai ser acessado doravante.  CLICA EMBAIXO NO BOTAO ATUALIZA";
//aqui vai capturar os coamndos
if (post('bt_incluir') !== ""):
	 $sessao = new sessao(); 
     $nomeTeste=$sessao->getVar('reanCapturada');
	 //$reanLongCapturada=get('id');
	 //vai editar todos os  testes germ desta amostra para o status_boletim=N
	 $sql="update rean1 set rea_boletim='N' where  rea_teste='".$nomeTeste."'  and rea_ficha=".$amostraLong;
     $userNota = new generica();
     $userNota->campos_valores = $sql;				 
	 $userNota->inserirEspecial($userNota);
	 $dataHojeAmericana=date('Y-m-d');
	 
     //aqui vai capturar primeiro a rean atual para desmarcar ela da opcao ativada
     //depoi sde criar desmarca a atual e ja esta ativo pois o defaul é ativo  
   
	 $sql="insert into rean1(rea_ficha,rea_teste,rea_datageralteste, rea_boletim)";
     $sql.="values('$amostraLong','$nomeTeste','$dataHojeAmericana','S')";
     //echo("sssssxxxxxxxxxxxxxxxxxxxxxxxxxxxxlinha 109sql de gravacao=$sql   dataHojeAmericana=$dataHojeAmericana<br>");
     $userNota = new generica();
     $userNota->campos_valores = $sql;				 
	 $userNota->inserirEspecial($userNota);
	 $idNota=$userNota->linhasafetadas;
	 $inseriuRegistro="SIM";
	 printMSG('Foi criado um reteste. '. $mensagemOrientativa   ,'alerta');
  // endif;


endif;

//captura a id para selecionar
if (post('bt_selecionaReteste1') !== "")$idSelecionada=post('id1');
if (post('bt_selecionaReteste2') !== "")$idSelecionada=post('id2');
if (post('bt_selecionaReteste3') !== "")$idSelecionada=post('id3');
if (post('bt_selecionaReteste4') !== "")$idSelecionada=post('id4');


//captura a id para DELETAR
if (post('bt_excluiReteste1') !== "")$idExcluida=post('id1');
if (post('bt_excluiReteste2') !== "")$idExcluida=post('id2');
if (post('bt_excluiReteste3') !== "")$idExcluida=post('id3');
if (post('bt_excluiReteste4') !== "")$idExcluida=post('id4');



//VAI PARA O SELECINA RETESTE
if($idSelecionada>0):
	 $reanLongCapturada=$idSelecionada;
	 $sessao = new sessao(); 
     $nomeTeste=$sessao->getVar('reanCapturada');

	 //vai editar todos os  testes germ desta amostra para o status_boletim=N   
	 $sql="update rean1 set rea_boletim='N' where  rea_teste='".$nomeTeste."'  and rea_ficha=".$amostraLong;
	 //echo("acabou de dar o comando para colocar n etm todas reanLongCapturada= $reanLongCapturada  sql=  $sql <br>");	
     $userNota = new generica();
     $userNota->campos_valores = $sql;				 
	 $userNota->inserirEspecial($userNota);
	 
	 
     //ATRIBUI O VALOR S PARA O CAMPO REA_BOLETIM justamente para a amostra selecionada
	 //$sql="update rean1 set rea_boletim='S' where rea_id = ".$reanLongCapturada." and   rea_teste='GERM' and rea_ficha=".$amostraLong;
	 $sql="update rean1 set rea_boletim='S' where rea_id = ".$reanLongCapturada;
     $userNota = new generica();
     $userNota->campos_valores = $sql;				 
	 $userNota->inserirEspecial($userNota);
	 printMSG('Foi selecionado um reteste='.$reanLongCapturada.$mensagemOrientativa ,'alerta');
	 //X>
	 //<a href="?m=germinacao&t=voltando" title="Novo teste/reteste"><img src="images/add.png" alt="Incluir reteste" /></a>Voltando
	 //<?php
     //calculageral($nomeTeste);
endif;//fim da id selecionada

//VAI PARA O exclui
if($idExcluida>0):
	 $sessao = new sessao(); 
     $nomeTeste=$sessao->getVar('reanCapturada');
	 $reanLongCapturada=$idExcluida;
	 //nao pode excluir reteste que esta ativo e deve orientar para que mude a referencia
     //VAI VERIFICAR SE O TESTE QUE ESTA QUERENDO EXCLUIR TEM STATUS=S
	 $user = new rean1();
	 $user->extras_select = " WHERE   rea_boletim='S' and rea_teste ='".$nomeTeste."' AND rea_id=".$reanLongCapturada;
     $user->selecionaTudo($user);
     $registros=$user->linhasafetadas;
     if($registros>0):
	 	printMSG('O sistema impede a exclusão do teste/reteste de ' . $nomeTeste.' que esta ativo. Se for o caso, selecione outro reteste e depois exclua este que pretendias.'   ,'alerta');
	 
	 else:
	     //aqui a rotina de exclusao
	     //ATRIBUI O VALOR S PARA O CAMPO REA_BOLETIM justamente para a amostra selecionada
		 $sql=" delete from rean1 where rea_id = ".$reanLongCapturada;
	     $userNota = new generica();
	     $userNota->campos_valores = $sql;				 
		 $userNota->inserirEspecial($userNota);
	     printMSG('Exluiu o reteste.'.$mensagemOrientativa    ,'alerta');
	 endif;

endif;//fim da id excluida



			$userRean1 = new rean1();
		    $userRean1->extras_select =  " where  rea_teste='".$nomeTeste."' and  rea_ficha=".$amostraLong;
		    $userRean1->selecionaCampos($userRean1);
	        ?>
			<fieldset>
			<legend>Teste e reteste de <?php  echo $nomeTeste; ?> (Aquele que estiver com status=S vai para boletim) </legend>

            <table>
			<thead>
                <tr>
                    <th>Referencia</th><th bgcolor="silver">Teste</th><th bgcolor="white">Data do teste</th><th bgcolor="white">Germ</th><th bgcolor="silver">Status Ativado</th>
                </tr>
            </thead>
			<form class="userform" method="post" action="">
			<?php
            $contador=0;						
		    while ($resRean1 = $userRean1->retornaDados()):
		        ///$reanLong=$resRean1->rea_id;
                $contador++;
                $nomeCampo="id".$contador;
		        echo "<tr>";
  		           //printf('<td>%s</td>',substr($resRean1->rea_id,0,20));
					if($contador==1):
					?>
					<td><input type="text" size="3" name="id1" value="<?php echo $resRean1->rea_id ;?> " /></td>
					<?php
					endif;
					if($contador==2):
					?>
					<td><input type="text" size="3" name="id2" value="<?php echo $resRean1->rea_id ;?> " /></td>
					<?php
					endif;

					if($contador==3):
					?>
					<td><input type="text" size="3" name="id3" value="<?php echo $resRean1->rea_id ;?> " /></td>
					<?php
					endif;
					if($contador==4):
					?>
					<td><input type="text" size="3" name="id4" value="<?php echo $resRean1->rea_id ;?> " /></td>
					<?php
					endif;




					
					//<?php echo $nomeCampo;
			        printf('<td bgcolor="silver">%s</td>','['.$resRean1->rea_teste.']');
	                    printf('<td bgcolor="white">%s</td>',date("d/m/Y",strtotime($resRean1->rea_datageralteste)));
					printf('<td bgcolor="white">%s</td>','['.$resRean1->rea_v1.'%]');
                    printf('<td bgcolor="silver" align="center">%s</td>','['.$resRean1->rea_boletim.']');

  
					if($contador==1)printf('<td bgcolor="silver">%s</td>','<input type="submit" name="bt_selecionaReteste1" value="Selecionar" />');
					if($contador==2)printf('<td bgcolor="silver">%s</td>','<input type="submit" name="bt_selecionaReteste2" value="Selecionar" />');
					if($contador==3)printf('<td bgcolor="silver">%s</td>','<input type="submit" name="bt_selecionaReteste3" value="Selecionar" />');
					if($contador==4)printf('<td bgcolor="silver">%s</td>','<input type="submit" name="bt_selecionaReteste4" value="Selecionar" />');
					if($contador==1)printf('<td bgcolor="silver">%s</td>','<input type="submit" name="bt_excluiReteste1" value="Excluir" />');
					if($contador==2)printf('<td bgcolor="silver">%s</td>','<input type="submit" name="bt_excluiReteste2" value="Excluir" />');
					if($contador==3)printf('<td bgcolor="silver">%s</td>','<input type="submit" name="bt_excluiReteste3" value="Excluir" />');
					if($contador==4)printf('<td bgcolor="silver">%s</td>','<input type="submit" name="bt_excluiReteste4" value="Excluir" />');
		            
	
		        echo "</tr>";
			endwhile;	   

  
          echo("</table>");			
          
		  
		  
		  echo("</fieldset>");
          ?>
<input type="submit" name="bt_incluir" value="Incluir um novo teste nesta amostra" />






</form>
</body>



</html>
